petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESNGSSetTolerances

Sets various parameters used in convergence tests.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESNGSSetTolerances(SNES snes,PetscReal abstol,PetscReal rtol,PetscReal stol,PetscInt maxit)

Logically Collective on SNES

### Input Parameters

| snes | - the SNES context
| abstol | - absolute convergence tolerance
| rtol | - relative convergence tolerance
| stol | - convergence tolerance in terms of the norm of the change in the solution between steps, || delta x || < stol*|| x ||
| maxit | - maximum number of iterations

### Options Database Keys

| -snes_ngs_atol <abstol> | - Sets abstol
| -snes_ngs_rtol <rtol> | - Sets rtol
| -snes_ngs_stol <stol> | - Sets stol
| -snes_max_it <maxit> | - Sets maxit

### Keywords

SNES, nonlinear, gauss-seidel, set, convergence, tolerances

### See Also

SNESSetTrustRegionTolerance()

### Level

intermediate

### Location

src/snes/impls/gs/snesgs.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages